Subject: Re: [bug#40102] [PATCH] gnu packages gnome-xyz: Add topicons-redux

From: Marius Bakke <[email-masked]>
Date: Sat, 21 Mar 2020 20:23:20 +0100

Ekaitz Zarraga <[email-masked]> writes:

>> Indentation is off here. If you are not using Emacs there is a script
>> that can help with indentation, see "Formatting Code" in the Guix manual.
>
> I'm using Vim with Vim paredit and it's own Sheme filetype, but it doesn't
> work very well sometimes.

In that case, please run ./etc/indent-code.el before submitting
patches to lessen the burden on committers.  I've fixed the indentation
locally by running C-M-q in Emacs.

>>
>> Can you send an updated patch?
>>
>
> Here it comes:

Thanks!  Please add it as an attachment next time so the commit message
is preserved (or send the whole patch directly with 'git send-email').

Also, './pre-inst-env guix lint gnome-shell-extension-topicons-redux'
reported these issues:

gnu/packages/gnome-xyz.scm:155:5: gnome-shell-extension-topicons-redux@6: the source file name should contain the package name
gnu/packages/gnome-xyz.scm:181:14: gnome-shell-extension-topicons-redux@6: no period allowed at the end of the synopsis

I've fixed these locally too, sorry for missing them in the first
review.

Finally I edited the commit message so it follows our conventions.
Pushed in e7c7912573111d5e86f3e3012a6edab948f7b302.